@charset "utf-8";
/* CSS Document 
	Author:		Peter Brown
	Date:		2025-02-25
	Filename: pb-2-2-layout.css
*/

/*-pb- 	 basic layout 	 -dq-*/
html {
	background: white;
}
body {
	width: 95vw;
	background-color: cornsilk;
	margin: auto;
	border: 4px solid brown;
	box-shadow: 0px 0px 12px 12px #aaaaaa;
}
section#pics {
	width: 100%;
}
section#pics heading {
	display: block;
	margin: 1em 1em 0em 1em;
	padding: none;
	border: none;
}
section#pics heading h1 {
	display: block;
	text-align: left;
	position: relative;
	font-family: Baskerville, "Palatino Linotype", Palatino, "Century Schoolbook L", "Times New Roman", "serif";
	font-size: 5vw;
	line-height: 5vw;
	color: black;
	margin: 0;
	padding: 0;
	width: 100%;
	filter: drop-shadow(4px 4px 4px rgb(42, 42, 42));
}
em.M {
	/*color: #100479;*/
	filter: drop-shadow(1px 1px 1px #100479);
}
em.P {
	/*color: brown;*/
	filter: drop-shadow(1px 1px 1px brown);
}
em {
	font-style: normal;
}

section#pics heading h1 img {
	height: 5vw;
	max-height: 63px;
	aspect-ratio: 1/1;
	position: absolute;
	bottom: 0;
	right: 0;
}
figure.pic {
	border: none;
	margin: 0;
	display: flex;
	flex-direction: column;
	flex-wrap: nowrap;
	flex: 1 1 300px;
	
}
figure.pic div {
	display: block;
	aspect-ratio: 16/9;
	max-height: 50vh;
	flex: auto; 
	background-color: white;
	position: relative;
	margin: 1em;
	border: 1px solid black;
	box-shadow: 6px 6px 4px rgb(42, 42, 42);
}
/*
	figure#pic-01 div:hover {
		aspect-ratio: 800/415;
		max-height: 90vh;
	}
	figure#pic-02 div:hover {
		aspect-ratio: 600/600;
		max-height: 90vh;
	}
	figure#pic-03 div:hover {
		aspect-ratio: 488/800;
		max-height: 90vh;
	}
	figure#pic-04 div:hover {
		aspect-ratio: 799/533;
		max-height: 90vh;
	}
	figure#pic-05 div:hover {
		aspect-ratio: 800/450;
		max-height: 90vh;
	}
	figure#pic-06 div:hover {
		aspect-ratio: 799/533;
		max-height: 90vh;
	}
*/
figcaption {
	display: flex;
	flex-flow: column nowrap;
}
figcaption h2 {
	font-size: 1.5em;
	line-height: 1em;
	color: darkblue;
	font-family: Cambria, "Hoefler Text", "Liberation Serif", Times, "Times New Roman", "serif";
	margin: 1px 1em 0.25em 1em;
}
figcaption a.read {
	order: 1;
	text-decoration: none;
	color: rgb(84, 84, 84);
}
figcaption p {
	height: 2.5em;
	overflow: hidden;
}
figcaption p, figcaption a.read {
	font-size: 1em;
	line-height: 1em;
	font-family: Consolas, "Andale Mono", "Lucida Console", "Lucida Sans Typewriter", Monaco, "Courier New", "monospace";
	margin: 0 0 0.25em 0;
	padding: 0 1em;
}
figcaption a.journal {
	text-decoration: none;
}

/*-pb- 	 images 	 -dq*/

figure.pic div img {
	height: 10vw;
	max-height: 63px;
	aspect-ratio: 1/1;
	position: absolute;
	bottom: 4px;
	right: 4px;
	filter: opacity(42%);
}
figure#pic-01 div {
	background: url("pb-beach-sunrise.jpg") center center / cover no-repeat  padding-box content-box;
}
figure#pic-02 div {
	background: url("pb-redwoods.jpg") center center / cover no-repeat  padding-box content-box;
}
figure#pic-03 div {
	background: url("pb-tree-stars.jpg") center center / cover no-repeat  padding-box content-box;
}
figure#pic-04 div {
	background: url("pb-stonehenge.jpg") center center / cover no-repeat  padding-box content-box;
}
figure#pic-05 div {
	background: url("pb-shapeshifter.jpg") center center / cover no-repeat  padding-box content-box;
}
figure#pic-06 div {
	background: url("pb-Land-Sea-Air.jpg") center center / cover no-repeat  padding-box content-box;
}


/*-pb- 	 media queries 	 -dq-*/

@media all and (max-width: 500px) {
	section#pics {
		display: flex;
		flex-direction: column;
		flex-wrap: nowrap;
	}
	figcaption p {
		height: auto;
		display: block;
	}
	figcaption a.read {
		display: none;
	}
	figure#pic-01 div {
		aspect-ratio: 800/415;
		max-height: 90vh;
	}
	figure#pic-02 div {
		aspect-ratio: 600/600;
		max-height: 90vh;
	}
	figure#pic-03 div {
		aspect-ratio: 488/800;
		max-height: 90vh;
	}
	figure#pic-04 div {
		aspect-ratio: 799/533;
		max-height: 90vh;
	}
	figure#pic-05 div {
		aspect-ratio: 800/450;
		max-height: 90vh;
	}
	figure#pic-06 div {
		aspect-ratio: 799/533;
		max-height: 90vh;
	}
}

@media all and (min-width: 501px) {
	body {
		width: 90vw;
		margin: 32px auto;
	}
	section#pics {
		display: flex;
		flex-direction: row;
		flex-wrap: wrap;
	}
	section#pics heading {
	width: 100%;
	}
}
	/* -pb- 	 read more 	 -dq- */
a.read:hover+p.read, p.read:hover {
/*	order: 1; 	*/
	overflow: visible;
	display: block;
	height: auto;
}

@media all and (min-width: 1320px) {
	figure.pic {
		flex: 1 0 400px;
	}
}
	